%define upstream_name    XML-Twig
%define upstream_version 3.48

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A perl module for processing huge XML documents in tree mode
License:    Artistic
Group:      Development/Perl
Url:        http://www.xmltwig.com/xmltwig/
Source0:    http://www.xmltwig.com/xmltwig/%{upstream_name}-%{upstream_version}.tar.gz

# for tests

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(XML::Parser) >= 2.230.0
BuildRequires: perl(LWP)
BuildArch:  noarch

%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(XML::XPathEngine::NodeSet\\)
%global __requires_exclude %__requires_exclude|^perl\\(xml_split::state\\)

%description
XML::Twig is a Perl module that subclasses XML-Parser to allow easy
processing of XML documents of all sizes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# TODO: maintainer: package them if requested...
%{__perl} Makefile.PL INSTALLDIRS=vendor << EOF
n
n
n
EOF
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml README
%{perl_vendorlib}/XML
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Sun Dec 14 2014 sander85 <sander85> 3.480.0-4.mga5
+ Revision: 803128
- Fix BRs

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 3.480.0-3.mga5
+ Revision: 732675
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 3.480.0-2.mga5
+ Revision: 686971
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 3.480.0-1.mga5
+ Revision: 615085
- update to 3.48

* Thu Mar 13 2014 jquelin <jquelin> 3.460.0-1.mga5
+ Revision: 603077
- update to 3.46

* Mon Mar 03 2014 jquelin <jquelin> 3.450.0-1.mga5
+ Revision: 598752
- update to 3.45

* Sat Oct 19 2013 umeabot <umeabot> 3.440.0-2.mga4
+ Revision: 527440
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 3.440.0-1.mga4
+ Revision: 440097
- update to 3.44

* Sun Jan 13 2013 umeabot <umeabot> 3.420.0-2.mga3
+ Revision: 375191
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 3.420.0-1.mga3
+ Revision: 317770
- update to 3.42

* Fri Aug 31 2012 kharec <kharec> 3.410.0-1.mga3
+ Revision: 286624
- update to 3.41

* Thu May 31 2012 shlomif <shlomif> 3.400.0-2.mga3
+ Revision: 252471
- Add seemingly missing BuildRequires
- New version: 3.40. Fixes some warnings on perl-5.16.x

* Mon Sep 26 2011 jquelin <jquelin> 3.390.0-1.mga2
+ Revision: 148262
- update to 3.39

* Mon Feb 28 2011 jquelin <jquelin> 3.380.0-1.mga1
+ Revision: 61552
- update to 3.38

* Wed Jan 19 2011 jquelin <jquelin> 3.370.0-1.mga1
+ Revision: 24267
- fix specs
- imported package perl-XML-Twig

